package com.heyu.api.data.service.impl.vv;
/**
* <p>
* 商品表 服务类
* </p>
*
* @author quyixiao
* @since 2025-08-20
*/

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.heyu.api.data.dao.vv.VvProductDao;
import com.heyu.api.data.entity.vv.VvProductEntity;
import com.heyu.api.data.service.vv.VvProductService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
@Service
public class VvProductServiceImpl extends ServiceImpl<VvProductDao, VvProductEntity> implements VvProductService {


    @Autowired
	private VvProductDao vvProductDao;



	@Override
	public VvProductEntity selectVvProductById(Long id){
		return vvProductDao.selectVvProductById(id);
	}



	@Override
	public Long insertVvProduct(VvProductEntity vvProduct){
		return vvProductDao.insertVvProduct(vvProduct);
	}



	@Override
	public Long insertOrUpdateVvProduct(VvProductEntity vvProduct){
		return vvProductDao.insertOrUpdateVvProduct(vvProduct);
	}



	@Override
	public int updateVvProductById(VvProductEntity vvProduct){
		return vvProductDao.updateVvProductById(vvProduct);
	}



	@Override
	public int updateCoverVvProductById(VvProductEntity vvProduct){
		return vvProductDao.updateCoverVvProductById(vvProduct);
	}



	@Override
	public int deleteVvProductById(Long id){
		return vvProductDao.deleteVvProductById(id);
	}



}
